package org.jeecg.module.custom.ocr.api.thread;

import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

/**
 * 初始化执行器
 *
 * @author hugh(shuli.yao) 1397940314@qq.com
 * @version 1.0
 * @date 2024/03/14 3:08
 */
@Component
public class TaskRunner implements CommandLineRunner {

    @Override
    public void run(String... args) throws Exception {
        TaskThreadPool taskThreadPool = new TaskThreadPool();
        taskThreadPool.startPictureDisposePull();
        taskThreadPool.startPictureImgToLocalPull();
    }
}
